Recommended update for perl-Bootloader

SUSE Recommended Update: Recommended update for perl-Bootloader
Announcement ID: SUSE-RU-2018:4085-1
Rating: moderate
References: #1079321 #1108777 #994322
Affected Products:
  • SUSE Linux Enterprise Server 12-SP3
  • SUSE Linux Enterprise Desktop 12-SP3
  • SUSE CaaS Platform ALL
  • SUSE CaaS Platform 3.0

An update that has three recommended fixes can now be installed.

Description:

This update for perl-Bootloader fixes the following issues:

  • Create temporary files in /tmp (bsc#1108777)
  • Work without /etc/default/grub_installdevice (bsc#1079321, bsc#994322)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 12-SP3:
    zypper in -t patch SUSE-SLE-SERVER-12-SP3-2018-2909=1
  • SUSE Linux Enterprise Desktop 12-SP3:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2018-2909=1
  • SUSE CaaS Platform ALL:
    To install this update, use the SUSE CaaS Platform Velum dashboard. It will inform you if it detects new updates and let you then trigger updating of the complete cluster in a controlled way.
  • SUSE CaaS Platform 3.0:
    To install this update, use the SUSE CaaS Platform Velum dashboard. It will inform you if it detects new updates and let you then trigger updating of the complete cluster in a controlled way.

Package List:

  • SUSE Linux Enterprise Server 12-SP3 (aarch64 ppc64le s390x x86_64):
    • perl-Bootloader-0.923-3.9.1
    • perl-Bootloader-YAML-0.923-3.9.1
  • SUSE Linux Enterprise Desktop 12-SP3 (x86_64):
    • perl-Bootloader-0.923-3.9.1
    • perl-Bootloader-YAML-0.923-3.9.1
  • SUSE CaaS Platform ALL (x86_64):
    • perl-Bootloader-0.923-3.9.1
  • SUSE CaaS Platform 3.0 (x86_64):
    • perl-Bootloader-0.923-3.9.1

References: